qpid-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gordon Sim <g...@redhat.com>
Subject Re: /usr/bin/qpid-config - I can not run it
Date Mon, 14 Nov 2011 20:04:30 GMT
On 11/14/2011 07:45 PM, dmounessa wrote:
> Thanks -- I did setup.py clean and setup.py build and setup.py install on all
> three packages (python, ./extras/qmf/ and tools) and still did not work.
> Then I checked and I realized that my PATH was in lib64 and the new lib/qmf
> was build in usr/lib and I copied the qmf/* to lib64/
> and now it is running.
> 1. Is there a way to do uninstall

No. It appears distutils does not automatically add anything here and 
there is nothing extra done by Qpid to address that.

> 2. Is there a way to make sure that it would use lib64 always?

You could use the --install-lib option. Not sure whether there is some 
way of changing this so that you wouldn't need to do that explicitly 
(I'm guessing that pure python libs don't care about the distinction 
between 32 and 64 bit libs?)

Anyone more familiar with distutils care to comment on either of these 
points?

---------------------------------------------------------------------
Apache Qpid - AMQP Messaging Implementation
Project:      http://qpid.apache.org
Use/Interact: mailto:users-subscribe@qpid.apache.org


Mime
View raw message